Bug 125136 - Writer corrupted .docx file (Attribute w:themeColor redefined)
Summary: Writer corrupted .docx file (Attribute w:themeColor redefined)
Status: RESOLVED DUPLICATE of bug 123705
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-06 13:29 UTC by Frederic Parrenin
Modified: 2019-05-15 09:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
.docx file which got corrupted (109.55 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-05-06 13:29 UTC, Frederic Parrenin
Details
The original .docx file before the corruption (165.82 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-05-06 17:28 UTC, Frederic Parrenin
Details
Fixed file (109.88 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-05-07 08:11 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederic Parrenin 2019-05-06 13:29:41 UTC
Created attachment 151206 [details]
.docx file which got corrupted

A colleague of mine was working on a .docx document sent by a colleague and the .docx file got corrupted by writer. An error now appears when trying to open the file. Unfortunately, she does not now precisely how to reproduce the corruption.
Comment 1 Timur 2019-05-06 16:23:55 UTC
The error details are:
SAXException: [word/document.xml line 2]: Attribute w:themeColor redefined

But without steps and source document, it's hard to confirm. 
At least, did she? use LO version 6.2.3.2 as you indicated?
Comment 2 Timur 2019-05-06 16:28:50 UTC
LO version is important because, if version lower than 6.2.2 or 6.1.6 than this may be a duplicate of fixed bug 123705. If 6.2.2 or 6.2.3 than this might be a regression.
Comment 3 Aron Budea 2019-05-06 16:34:59 UTC
For what it's worth the metadata in the DOCX says it's been saved with LO version 5.2.7.2.
Comment 4 Frederic Parrenin 2019-05-06 17:27:21 UTC
Ah yes, Sorry, I forgot to check her version.
It is probably 5.2.7 since it is what comes with debian 9.
I have asked her to update her version.
Good to know it has probably been fixed in recent versions.
Thanks.
Comment 5 Frederic Parrenin 2019-05-06 17:28:55 UTC
Created attachment 151209 [details]
The original .docx file before the corruption

For your information, this is the initial .docx file before the corruption by LO.
Comment 6 Julien Nabet 2019-05-07 08:11:47 UTC
Created attachment 151213 [details]
Fixed file
Comment 7 Julien Nabet 2019-05-07 08:16:54 UTC
Debian stable uses old versions of software for servers.

LO version from Debian stable is EOL so even if the bug can be reproduced with this old version, it'll be interesting only if it can be reproduced with a recent version like 6.2.3.
For desktop computers, I wouldn't use stable but testing version of Debian (some would use unstable but you must manage some dependencies breaks sometimes, up to you!).

Meanwhile, I attached a fixed version (at least, I remove the duplicates of themeColor) of your file, I let you check.
Comment 8 Timur 2019-05-07 08:57:05 UTC
We don't have repro steps and we can't be sure whether this is the same as bug 123705, that was resolved by Julien. 
But it's linked and advice was given to use more recent LO. 
So, I'll close this bug. Feel free to set back Unconfirmed should it happen again with reproducible steps. But then, it should be tested with 6.1.6 or 6.2.3 or later.

PS In terms of "stability" I'd say most conservative approach is to use "still" x.y.last which is 6.1.6.3 soon. Anything older makes sense only for some known regression bug that affects somebody's work.
Comment 9 Timur 2019-05-07 09:16:12 UTC
Actually, I easily reproduced this one with Lo 5.2.7.
Open attachment 151209 [details] - The original .docx file before the corruption
Add some chars in the beginning
Save as DOCX and close
Reopen shows error

No repro with 6.1.6. 
So I'll mark a duplicate.

*** This bug has been marked as a duplicate of bug 123705 ***
Comment 10 Frederic Parrenin 2019-05-15 08:50:54 UTC
@Julien: Thanks for the fixed file. We had done that on our side as well.
Regarding debian stable, I am not sure I agree with you.
If you value stability, debian stable is probably the best distro.
Debian testing changes all the time, for a production environment this is somtimes a problem. So I prefer to use stable, and to upgrade the software by hand on a case by case basis. Debian testing is also not always supported by third-party softwares.
Comment 11 Julien Nabet 2019-05-15 09:08:28 UTC
(In reply to Frederic Parrenin from comment #10)
> @Julien: Thanks for the fixed file. We had done that on our side as well.
> Regarding debian stable, I am not sure I agree with you.
> If you value stability, debian stable is probably the best distro.
> Debian testing changes all the time, for a production environment this is
> somtimes a problem. So I prefer to use stable, and to upgrade the software
> by hand on a case by case basis. Debian testing is also not always supported
> by third-party softwares.

If you include desktops in production environment in addition to servers, you'll have to upgrade LO versions (with dependencies to manage) or you'll have to accept that you'll encounter bugs like this which may have been fixed some LO versions ago.

About dup problem specifically, as Timur quoted, there's a bugtracker concerning this which indicates it's been fixed from 6.1.6.
Of course, new version means some regression, that's why there's stable branch 6.1 and evolution branch 6.2 which reduces regression impacts. (I use "reduce" on purpose because I know there are still regressions in 6.1).